package com.platform.dao;

import com.platform.entity.SceneEntity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Dao
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-19 17:59:15
 */
public interface SceneDao extends BaseDao<SceneEntity> {

    SceneEntity findByName(String sceneName);

    SceneEntity queryBySceneNum(String sceneNum);

    List<SceneEntity> selectByDeptIdsAndExceptSceneNums(@Param("deptIds") List<Long> deptIds, @Param("sceneNums")List<String> sceneNums);

    void updateSceneUser(@Param("fromUserId") Long fromUserId, @Param("toUserId") Long toUserId,@Param("updateUserId") Long updateUserId);

    List<SceneEntity> queryByUserId(Long userId);
}
